<?php

namespace App\Http\Controllers;

use App\Models\Habit;
use Illuminate\Http\Request;

class EntryController extends Controller
{
    public function index()
    {

    }

    public function createWithHabit(Request $request) {
        return view('entries.create', [
            'habit' => Habit::find($request->input('habit'))
        ]);
    }

    public function create()
    {
        return view('entries.create', [
            'habit'
        ]);
    }

    public function store($request)
    {
    }

    public function show($id)
    {
    }

    public function edit($id)
    {
    }

    public function update(Request $request, $id)
    {
    }

    public function destroy($id)
    {
    }
}
